.\"	$NetBSD: dumplfs.8,v 1.10 2003/04/16 10:21:57 wiz Exp $
.\"
.\" Copyright (c) 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)dumplfs.8	8.1 (Berkeley) 6/18/93
.\"
.Dd June 13, 2000
.Dt DUMPLFS 8
.Os
.Sh NAME
.Nm dumplfs
.Nd dump file system information
.Sh SYNOPSIS
.Nm dumplfs
.Op Fl adiS
.Op Fl b Ar blkno
.Op Fl I Ar blkno
.Op Fl s Ar segno
.Ar filesys No \&| Ar device
.Sh DESCRIPTION
.Nm
prints out the file system layout information for the
LFS file system or special device specified.
The listing is very long and detailed.
This command is useful mostly for finding out certain file system
information such as the file system block size.
.Pp
The following flags are interpreted by
.Nm dumplfs .
.Bl -tag -width indent
.It Fl a
Dump the contents of all superblocks, not just the first.  Superblocks
appear in the dumplfs output with the segment containing them.
.It Fl b
Use the block specified immediately after the flag as the super block for the
filesystem.
.It Fl d
Check partial segment data checksums and report mismatches.  This makes
.Nm
operate much more slowly.
.It Fl I
Use the block specified immediately after the flag as the inode block
containing the index file inode.
.It Fl i
Dump information about the inode free list.
.It Fl S
Dump information about the segment table.
.It Fl s
Add the segment number immediately following the flag to a list of segments to
dump.  This flag may be specified more than once to dump more than one segment.
The default is to dump all segments.
.El
.Sh SEE ALSO
.Xr disktab 5 ,
.Xr fs 5 ,
.Xr disklabel 8 ,
.Xr newfs_lfs 8
.Sh HISTORY
The
.Nm dumplfs
command appeared in
.Bx 4.4 .
